package com.chenyang.druid.sql.dialect.mariadb.ast.statement;

import com.chenyang.druid.sql.ast.SQLLimit;
import com.chenyang.druid.sql.dialect.mariadb.visitor.MariadbASTVisitor;

public class MariadbShowWarningsStatement extends MariadbStatementImpl implements MariadbShowStatement {
   private boolean count = false;
   private SQLLimit limit;

   public boolean isCount() {
      return this.count;
   }

   public void setCount(boolean count) {
      this.count = count;
   }

   public SQLLimit getLimit() {
      return this.limit;
   }

   public void setLimit(SQLLimit limit) {
      this.limit = limit;
   }

   public void accept0(MariadbASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.limit);
      }

      visitor.endVisit(this);
   }
}
